|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectorg.opencms.workplace.CmsWorkplace
org.opencms.workplace.tools.CmsToolDialog
org.opencms.workplace.CmsDialog
org.opencms.workplace.CmsMultiDialog
org.opencms.workplace.commons.CmsAvailability
public class CmsAvailability
Provides methods for the resource availability/notification dialog.
The following files use this class:
| Field Summary | |
|---|---|
static String |
DIALOG_TYPE
The dialog type. |
static String |
PARAM_ENABLE_NOTIFICATION
Request parameter name for the activation of the notifciation. |
static String |
PARAM_EXPIREDATE
Request parameter name for the expiredate. |
static String |
PARAM_LEAVEEXPIRE
Request parameter name for the leaveexpire. |
static String |
PARAM_LEAVERELEASE
Request parameter name for the leaverelease. |
static String |
PARAM_MODIFY_SIBLINGS
Request parameter name for the recursive flag. |
static String |
PARAM_NOTIFICATION_INTERVAL
Request parameter name for the activation of the notifciation. |
static String |
PARAM_RECURSIVE
Request parameter name for the recursive flag. |
static String |
PARAM_RELEASEDATE
Request parameter name for the releasedate. |
static String |
PARAM_RESETEXPIRE
Request parameter name for the resetexpire. |
static String |
PARAM_RESETRELEASE
Request parameter name for the resetrelease. |
| Fields inherited from class org.opencms.workplace.CmsMultiDialog |
|---|
DELIMITER_RESOURCES, PARAM_RESOURCELIST |
| Fields inherited from class org.opencms.workplace.tools.CmsToolDialog |
|---|
PARAM_BASE, PARAM_PATH, PARAM_ROOT, PARAM_STYLE, STYLE_NEW |
| Constructor Summary | |
|---|---|
CmsAvailability(CmsJspActionElement jsp)
Public constructor. |
|
CmsAvailability(PageContext context,
HttpServletRequest req,
HttpServletResponse res)
Public constructor with JSP variables. |
|
| Method Summary | |
|---|---|
void |
actionCloseDialog()
Used to close the current JSP dialog. |
void |
actionUpdate()
Performs the resource operation, will be called by the JSP page. |
String |
buildCheckboxEnableNotification()
Creates the checkbox to enable content notification for a resource. |
String |
buildCheckboxModifySiblings()
Creates an the checkbox to modify all siblings. |
String |
buildCheckRecursive()
Creates the "recursive" checkbox for touching subresources of folders. |
String |
buildInputNotificationInterval()
Creates an input field for the notification interval. |
String |
buildResponsibleList()
Builds a String with HTML code to display the responsibles of a resource. |
String |
getCurrentDateTime()
Returns the current date and time as String formatted in localized pattern. |
String |
getCurrentExpireDate()
Returns the current expiredate as String formatted in localized pattern. |
String |
getCurrentReleaseDate()
Returns the current releasedate as String formatted in localized pattern. |
protected String |
getLocalizedType(int flags)
Returns a localized String for "Group", if the flag of a group ACE, and the localization for "User" otherwise. |
String |
getParamEnablenotification()
Returns the value of the enable_notification parameter. |
String |
getParamExpiredate()
Returns the value of the new expiredate parameter, or null if this parameter was not provided. |
String |
getParamLeaveexpire()
Returns the value of the leaveexpire parameter. |
String |
getParamModifysiblings()
Returns the value of the modify siblings parameter, or null if this parameter was not provided. |
String |
getParamNotificationinterval()
Returns the value of the notification interval parameter, or null if this parameter was not provided. |
String |
getParamRecursive()
Returns the value of the recursive parameter, or null if this parameter was not provided. |
String |
getParamReleasedate()
Returns the value of the new releasedate parameter, or null if this parameter was not provided. |
String |
getParamResetexpire()
Returns the value of the resetexpire parameter. |
String |
getParamResetrelease()
Returns the value of the resetrelease parameter. |
protected void |
initWorkplaceRequestValues(CmsWorkplaceSettings settings,
HttpServletRequest request)
Analyzes the request for workplace parameters and adjusts the workplace settings accordingly. |
protected boolean |
performDialogOperation()
Modifies the release and expire date of a resource, and changes the notification interval. |
protected void |
performSingleResource(String resName,
long releaseDate,
long expireDate,
boolean leaveRelease,
boolean leaveExpire,
boolean modifyRecursive,
boolean modifySiblings)
Performs the availability and notification operations on a single resource. |
void |
setParamEnablenotification(String value)
Sets the value of the enable notification parameter. |
void |
setParamExpiredate(String value)
Sets the value of the expire date. |
void |
setParamLeaveexpire(String paramLeaveexpire)
Sets the value of the leaveexpire parameter. |
void |
setParamModifysiblings(String value)
Sets the value of the modify siblings parameter. |
void |
setParamNotificationinterval(String value)
Sets the value of the new timestamp parameter. |
void |
setParamRecursive(String value)
Sets the value of the recursive parameter. |
void |
setParamReleasedate(String value)
Sets the value of the releasedate parameter. |
void |
setParamResetexpire(String paramResetexpire)
Sets the value of the resetexpire parameter. |
void |
setParamResetrelease(String paramResetrelease)
Sets the value of the resetrelease parameter. |
protected void |
writeProperty(String resourcePath,
String propertyName,
String propertyValue)
Writes a property value for a resource. |
| Methods inherited from class org.opencms.workplace.CmsMultiDialog |
|---|
addMultiOperationException, buildResourceList, checkMultiOperationException, checkResourcePermissions, getParamResourcelist, getResourceList, isMultiOperation, isOperationOnFolder, setDialogTitle, setParamResourcelist |
| Methods inherited from class org.opencms.workplace.tools.CmsToolDialog |
|---|
dialogTitle, getAdminTool, getCurrentToolPath, getParamBase, getParamPath, getParamRoot, getParamStyle, getParentPath, getToolManager, iconsBlockArea, iconsBlockAreaEnd, iconsBlockAreaStart, initAdminTool, pageBody, pageHtmlStyle, setParamBase, setParamPath, setParamRoot, setParamStyle, useNewStyle |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
|---|
public static final String DIALOG_TYPE
public static final String PARAM_ENABLE_NOTIFICATION
public static final String PARAM_EXPIREDATE
public static final String PARAM_LEAVEEXPIRE
public static final String PARAM_LEAVERELEASE
public static final String PARAM_MODIFY_SIBLINGS
public static final String PARAM_NOTIFICATION_INTERVAL
public static final String PARAM_RECURSIVE
public static final String PARAM_RELEASEDATE
public static final String PARAM_RESETEXPIRE
public static final String PARAM_RESETRELEASE
| Constructor Detail |
|---|
public CmsAvailability(CmsJspActionElement jsp)
jsp - an initialized JSP action element
public CmsAvailability(PageContext context,
HttpServletRequest req,
HttpServletResponse res)
context - the JSP page contextreq - the JSP requestres - the JSP response| Method Detail |
|---|
protected String getLocalizedType(int flags)
flags - the flags of the ACE
public void actionCloseDialog()
throws JspException
CmsDialogThis method tries to include the URI stored in the workplace settings. This URI is determined by the frame name, which has to be set in the framename parameter.
actionCloseDialog in class CmsDialogJspException - if including an element failsCmsDialog.actionCloseDialog()
public void actionUpdate()
throws JspException
JspException - if problems including sub-elements occurpublic String buildCheckboxEnableNotification()
public String buildCheckboxModifySiblings()
If no siblings exist for this resource, an empty string will be returned.
public String buildCheckRecursive()
public String buildInputNotificationInterval()
public String buildResponsibleList()
public String getCurrentDateTime()
public String getCurrentExpireDate()
public String getCurrentReleaseDate()
public String getParamEnablenotification()
The enable_notification parameter if content notification is enabled for this resource.
public String getParamExpiredate()
public String getParamLeaveexpire()
public String getParamModifysiblings()
public String getParamNotificationinterval()
public String getParamRecursive()
The recursive parameter on folders decides if all subresources of the folder should be touched, too.
public String getParamReleasedate()
The releasedate parameter stores the new releasedate as String.
public String getParamResetexpire()
public String getParamResetrelease()
public void setParamEnablenotification(String value)
value - the value to setpublic void setParamExpiredate(String value)
value - the value to setpublic void setParamLeaveexpire(String paramLeaveexpire)
paramLeaveexpire - the value of the leaveexpire parameterpublic void setParamModifysiblings(String value)
value - the value to setpublic void setParamNotificationinterval(String value)
value - the value to setpublic void setParamRecursive(String value)
value - the value to setpublic void setParamReleasedate(String value)
value - the value to setpublic void setParamResetexpire(String paramResetexpire)
paramResetexpire - the value of the resetexpire parameterpublic void setParamResetrelease(String paramResetrelease)
paramResetrelease - the value of the resetrelease parameter
protected void initWorkplaceRequestValues(CmsWorkplaceSettings settings,
HttpServletRequest request)
CmsWorkplace
initWorkplaceRequestValues in class CmsDialogsettings - the workplace settingsrequest - the current requestCmsWorkplace.initWorkplaceRequestValues(org.opencms.workplace.CmsWorkplaceSettings, javax.servlet.http.HttpServletRequest)
protected boolean performDialogOperation()
throws CmsException
performDialogOperation in class CmsMultiDialogCmsException - if modification is not successful
protected void performSingleResource(String resName,
long releaseDate,
long expireDate,
boolean leaveRelease,
boolean leaveExpire,
boolean modifyRecursive,
boolean modifySiblings)
throws CmsException
resName - the VFS path of the resourcereleaseDate - the new release dateexpireDate - the new expiration dateleaveRelease - flag indicating if the release date should be left untouchedleaveExpire - flag indicating if the expiration date should be left untouchedmodifyRecursive - flag indicating if the operation is recursive for foldersmodifySiblings - flag indicating to include resource siblings
CmsException - if the availability and notification operations fail
protected void writeProperty(String resourcePath,
String propertyName,
String propertyValue)
throws CmsException
resourcePath - the path of the resourcepropertyName - the name of the propertypropertyValue - the new value of the property
CmsException - if something goes wrong
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||